/*
Copyright Business Management Systems, Inc. 1987 c
*/
#include <port.h>
#include <fcb.h>

typedef struct fileio FILEIO;

typedef struct filevw {
  short fld;
  short revflag;
  struct keydesc *k;
} FILEVW;

/* fileio.c */
FILEIO *filestart(int fd, char *buf, const struct keydesc *);
PTR fileio(int func, const PTR tag, PTR iocb);
void fileend(FILEIO *);
PTR filetag(const FILEIO *);
void tagfile(FILEIO *, const PTR tag);
PTR isnull(const FILEIO *);
void setnull(const FILEIO *);

/* fileview.c */
extern void viewkey(FILEIO *,struct keydesc *,int);
extern void viewrange(FILEIO *,const char *,const char *,FCB *);
extern void fileview(FILEIO *, const struct keydesc *, int);
PTR viewio(int func, const PTR tag, PTR iocb);

/* fileloc.c */
extern void filelocate(FILEIO *, FILEVW *);	/* auto fileview by field */
extern void fileloc(FCB *);
