/* selio.h */
#ifndef MORE
#include <port.h>
#endif

typedef struct selectio SELECTIO;
typedef int (*SELECTFCN)(PTR);

extern int selio_op;

SELECTIO *selstart(SELECTFCN,SELECTFCN,PTR,PTR (*)(int,const PTR,PTR),PTR);
/* arguments to selstart are:
   1. "read" function (optional) - function called after selio calls any
       read function.
   2. "write" function (optional) - function called before selio calls any
       write/delete function.
   3. data pointer (optional)
   4. io function - (e.g., viewio)
   5. pointer to io control block that io function uses - (e.g., the pointer
      returned from filestart() )
*/
void selend(SELECTIO *);
PTR selio(int,const PTR,PTR);
