/*
	BMS library routines and defines that do not appear
	in other BMS header files.
*/

#ifndef _BMSLIB_H_
#define _BMSLIB_H_
#ifdef __cplusplus
extern "C" {
#endif

#include <port.h>
#include <stdio.h>

struct fnlist;
typedef struct { char *data; short len; } STRPTR;

#define parmput(parm,len) ((void)write(3,(char *)(parm),len))
#define parmget(parm,len) ((void)read(4,(char *)(parm),len),(void)close(4))
#define strfndr(a,b)	strnfndr(a,b,strlen(a),strlen(b))

char *fmtname(char *,int,int);
int strnfndr(const char *, const char *, int, int);
void beep(void);
int branch(const char *,MORE);
int shell(const char *,PTR,int), dup2(int,int);
int defkey(const char *,int), inkey(void);
/* int initkey(struct fnlist *,int,int); */
int chkkey(int (*)());
#if 0	/* don't reference BTAS from libbms */
char *rtnsys(const char *, const char *);  
int bmslock(const char *,const PTR,int);
int bmsunlock(const char *,const PTR,int);
#endif
char *fflname(char *), *fflpath(char *);   
char *fndnam(int);
FILE *lpgrab(const char *);
int lprelease(FILE *,const char *);
void prtsize(char *,int);
void printlin(void);

#ifdef __cplusplus
}
#endif
#endif
