#include "display.h"

#define	MAXWIN	40

typedef struct win *WIN;

extern void Wbegin(int);
extern void Wend(void);
extern WIN  Wnew(void (*)(WIN,const RECT *,PTR), WIN, PTR);
extern void Wdispose(/**/ WIN /**/);
extern void Wwrite(/**/ WIN, int, int, int, const char *, int /**/);
extern void Wwrtattr(/**/ WIN, int, int, int, const CHTYPE far * /**/);
extern void Wfill(/**/ WIN, const RECT *, int /**/);
extern bool Wslide(/**/ WIN, const RECT *, enum dir, int /**/);
extern void Wcurpos(/**/ WIN, int, int /**/);
extern void Wcurtype(/**/ WIN, int /**/);
extern void Wsetphys(/**/ WIN, const RECT * /**/);
extern void Wgetphys(/**/ WIN, RECT * /**/);
extern void Whide(/**/ WIN /**/);	/* remove from screen */
extern void Wtop(/**/ WIN /**/);	/* move to top */
extern void Wbury(/**/ WIN /**/);	/* move to bottom */
extern WIN  Wgettop(/**/ void /**/);
extern void Wdraw(/**/ WIN, const RECT * /**/);

/* create frame subwindow */
extern void frame(/**/ WIN, const char *, const char * /**/);
extern void unframe(/**/ WIN /**/);

/* display framed text */
extern WIN msglist(/**/ const char **,const char *,int,int /**/);
extern WIN banner(/**/ int,const char *,const char * /**/);
